namespace NodeJS {
  /**
   * 环境变量参数
   *
   * @author chitanda
   * @date 2021-08-19 16:08:23
   * @interface ProcessEnv
   * @extends {Dict<string>}
   */
  interface ProcessEnv extends Dict<string> {
    // 应用当前运行环境。configs目录下配置文件读取规则：application.${APP_ENV}.yaml，未指定默认读取 application.dev.yaml。
    APP_ENV: string;
    // 指定启动时配置文件的地址
    APPLICATION_CONFIG_PATH: string;
    // 应用端口
    APPLICATION_PORT: string;
  }
}
